Skip to main content
GET
/
v1
/
portfolios
/
{portfolio_id}
/
orders
/
{order_id}
/
fills
List Order Fills
curl --request GET \
  --url https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/orders/{order_id}/fills
{
  "fills": [
    {
      "id": "dc376e5b-84fa-4bdf-9f13-537b1bde8fc3",
      "order_id": "ba1115bc-7b3c-4b6b-ae38-585f3ab59271",
      "product_id": "BTC-USD",
      "client_product_id": "BTC-USDC",
      "side": "BUY",
      "filled_quantity": "100",
      "filled_value": "25",
      "price": "140.91",
      "time": "2021-05-31T11:59:59.000Z",
      "commission": "5.55",
      "venue": "Coinbase",
      "venue_fees": "2.50",
      "ces_commission": "1.25",
      "product_type": "SPOT",
      "commission_detail_total": {
        "total_commission": "<string>",
        "client_commission": "<string>",
        "venue_commission": "<string>",
        "ces_commission": "<string>",
        "financing_commission": "<string>",
        "regulatory_commission": "<string>",
        "clearing_commission": "<string>"
      }
    }
  ],
  "pagination": {
    "next_cursor": "<string>",
    "sort_direction": "DESC",
    "has_next": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt

Use this file to discover all available pages before exploring further.

Use the Prime SDK or CLI to test this endpoint by following the quickstart guide and running with the following examples
OrdersService ordersService = PrimeServiceFactory.createOrdersService(client);

ListOrderFillsRequest request = new ListOrderFillsRequest.Builder()
    .portfolioId("PORTFOLIO_ID_HERE")
    .orderId("ORDER_ID_HERE")
    .build();

ListOrderFillsResponse response = ordersService.listOrderFills(request);
For more information, please visit the Prime Java SDK.

Path Parameters

portfolio_id
string
required

The portfolio ID associated with the order

order_id
string
required

The order ID generated by Coinbase

Query Parameters

cursor
string

Cursor used for pagination (last consumed record)

limit
integer<int32>

Number of items to retrieve

sort_direction
enum<string>
default:DESC

Sorting order

Available options:
DESC,
ASC

Response

200 - application/json

A successful response.

fills
Fills associated with the order · object[]
pagination
object